#include <bits/stdc++.h>

using namespace std;

using ll = long long;

const ll MOD = 1000000007;

vector<ll> fact={1};

ll pow(ll a, ll e){
	ll res = 1;
	while(e){
		if(e%2) res = res * a % MOD;
		e/=2;
		a = a * a % MOD;
	}
	return res;
}

ll modinv(ll a){
	return pow(a, MOD-2);
}

ll comb(ll a, ll b){
	ll den = modinv(fact[b] * fact[a-b] % MOD);
	return fact[a] * den % MOD;
}

int main(){
	for(int i=1; i< 500000; i++) fact.push_back(fact.back() * i % MOD);
	int n;
	cin>>n;

	ll res = 0;

	for(int i=1; i*2<=n; i++){
		ll val = comb(n, i) * comb(4*n - 4*i, 2*n) % MOD;

		if(i%2) res = (res+val)%MOD;
		else res = (MOD + res - val)%MOD;
	}

	cout << res <<endl;
}
